polybori::project_ith< ITH, NLEN > Class Template Reference

Accessing ith of n arguments (ITH = 0 returns default value of first type) More...

`#include <pbori_func.h>`

## Detailed Description

### template<unsigned int ITH, unsigned int NLEN = ITH>
class polybori::project_ith< ITH, NLEN >

Accessing ith of n arguments (ITH = 0 returns default value of first type)

Project to the third of all given arguments.

Project to the second of all given arguments.

Is the identity functional or projection to first argument.

Virtually does nothing with the given arguments.

Note
  The argument NLEN is not necessary, but is may be used to indicate the argument length for documentation reasons.

The documentation for this class was generated from the following file:

- pbori_func.h